# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "extensions_sv2"
version = "0.2.0"
authors = ["The Stratum V2 Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sv2 Extension Messages"
homepage = "https://stratumprotocol.org"
documentation = "https://docs.rs/extensions_sv2"
readme = "README.md"
keywords = [
    "stratum",
    "mining",
    "bitcoin",
    "protocol",
    "extensions",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/stratum-mining/stratum"

[lib]
name = "extensions_sv2"
path = "src/lib.rs"

[[example]]
name = "extensions_negotiation"
path = "examples/extensions_negotiation.rs"

[[example]]
name = "worker_specific_hashrate_tracking"
path = "examples/worker_specific_hashrate_tracking.rs"

[dependencies.binary_sv2]
version = "^6.0.0"
